package cn.estsh.i3plus.ext.mes.api.base.ep;

import cn.estsh.i3plus.ext.mes.pojo.bean.MesPartDivulgeCheckCfg;
import cn.estsh.i3plus.ext.mes.pojo.model.ep.EpPartDivulgeCheckResultModel;
import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;

public interface IEpPartDivulgeCheckCfgService {
    MesPartDivulgeCheckCfg insert(MesPartDivulgeCheckCfg partDivulgeCheckCfg);

    MesPartDivulgeCheckCfg update(MesPartDivulgeCheckCfg partDivulgeCheckCfg);

    ListPager queryByPager(MesPartDivulgeCheckCfg partDivulgeCheckCfg, Pager pager);

    int updateIsValidById(long id, Integer status);

    EpPartDivulgeCheckResultModel queryPartDivulgeCheckCfg(String organizeCode, String partNo, String packageNo);


}
